Bug 1565148 - Service gets submitted even if dialog does not passes validation
Summary: Service gets submitted even if dialog does not passes validation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.2
Assignee: Zita Nemeckova
QA Contact: Shveta
URL:
Whiteboard:
Depends On: 1558266
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-09 13:38 UTC by Satoe Imaishi
Modified: 2018-05-07 20:49 UTC (History)
8 users (show)

Fixed In Version: 5.9.2.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1558266
Environment:
Last Closed: 2018-05-07 20:48:47 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1328 0 None None None 2018-05-07 20:49:17 UTC

Comment 3 CFME Bot 2018-04-09 13:56:47 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:

https://github.com/ManageIQ/manageiq-ui-classic/commit/c416f8c476403a06eae52e7fb5869b894966ea99
commit c416f8c476403a06eae52e7fb5869b894966ea99
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Wed Apr  4 04:07:15 2018 -0400
Commit:     Milan Zázrivec <mzazrivec@redhat.com>
CommitDate: Wed Apr  4 04:07:15 2018 -0400

    Merge pull request #3686 from ZitaNemeckova/fix_validation_dialog_user

    Check dialog-user for info on valid inputs
    (cherry picked from commit 391d76e1cc8fb06c9eeb8dcfb8f6dea7b69ea67e)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1565148

 app/assets/javascripts/controllers/dialog_user/dialog_user_controller.js | 4 +-
 spec/javascripts/controllers/dialog_user/dialog_user_controller.spec.js | 11 +-
 2 files changed, 10 insertions(+), 5 deletions(-)

Comment 4 Shveta 2018-04-24 06:04:36 UTC
Fixed in 5.9.2.3.20180419182310_cab2891

Comment 7 errata-xmlrpc 2018-05-07 20:48:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1328


Note You need to log in before you can comment on or make changes to this bug.